<script>
    import { calcStats } from '../lib/stats.js';

    export let statData;

    let promise = calcStats(statData);
    
</script>

<h2>Stats</h2>
{#await promise}
    <p>...waiting</p>
{:then stats}
    <h1>
        {stats.rpm}
    </h1>
    <h4>
        RPM <br/>
        <small>(rolls per month)</small>
    </h4>
{:catch error}
    <p style="color: red">{error.message}</p>
{/await}

<style>
    h1 {
        color: #40b3ff;
    }

    h4 {
        color: #676778;
    }
</style>